所需 OAuth scope:release:read
分页查询已启用的软件,按 sort_order、id 升序排列;软件可以尚无可见版本。
鉴权:Authorization: Bearer ,支持用户 JWT 和 OAuth2 Access Token。OAuth2 需要 release:read,release:* 或 all 也可授权。
Authorization: Bearer ********************curl --location 'https://api.lolia.link/api/v1/releases?page=&limit=' \
--header 'Authorization: Bearer <token>'{
"code": 200,
"msg": "获取成功",
"data": {
"items": [
{
"id": 1,
"created_at": "2019-08-24T14:15:22.123Z",
"updated_at": "2019-08-24T14:15:22.123Z",
"slug": "string",
"name": "string",
"description": "string",
"mode": "manual",
"enabled": true,
"sort_order": 0,
"latest_version_id": 1,
"allow_direct_download": true,
"github_owner": "string",
"github_repo": "string",
"latest_policy": "manual",
"auto_enable_new_versions": true,
"include_prerelease": true,
"sync_interval_minutes": 0,
"last_sync_attempt_at": "2019-08-24T14:15:22.123Z",
"last_synced_at": "2019-08-24T14:15:22.123Z",
"s3_sync_requested": true
}
],
"total": 0,
"page": 1,
"limit": 1
}
}